# Abstract

Attempt to use [DVC](https://dvc.ai/), a data versioning tool, to track image classification model training with PyTorch, including data, trained model file, and used parameters. The data will be recorded and pushed to my private DVC remote via webdav🎁

# Requirements

* MacOS 13.3

# Dirs

* **env**
  * **pt.yaml**
    * conda env yaml to run this repo
* **utils**
  * house pre-built functions

# Files

* **prepare.py**
  * prepare materials for model training
* **train.py**
  * try to train a small neural network
* **evaluate.py**
  * evaluate trained model with some metrics

###### tags: `DVC`